Skip to content

Signup

POST
/api/v1/auth/signup
curl --request POST \
--url https://api.qeychain.xyz/api/v1/auth/signup \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example", "full_name": "example", "accepted_terms": true }'

Create a new user account, send verification email, and auto-login.

Media typeapplication/json
SignupRequest
object
email
required
Email
string format: email
password
required
Password
string
>= 8 characters <= 128 characters
full_name
Any of:
string
<= 255 characters
accepted_terms
required
Accepted Terms

User must accept Terms of Service, Privacy Policy, and Disclosure

boolean
Examplegenerated
{
"email": "hello@example.com",
"password": "example",
"full_name": "example",
"accepted_terms": true
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}